syntax = "proto3";
option go_package = ".;pb";

message frtaskIds { repeated int32 rtaskIds = 1; }

// 玩家任务状态
message DBRtask {
  string id = 1;  //@go_tags(`bson:"_id"`) ID
  string uid = 2; //@go_tags(`bson:"uid"`) 用户ID
  map<int32, frtaskIds> frtaskIds =
      3;                 //@go_tags(`bson:"frtaskIds"`) 已完成的任务Id
  int32 nextRtaskId = 4; //@go_tags(`bson:"nextRtaskId"`) 下个任务Id
  bool isReward = 5;     //@go_tags(`bson:"isReward"`) 接收奖励
}

message rtaskData {
  map<int32, int32> data = 1; //@go_tags(`bson:"data"`)  当前任务值
  int32 rtype = 2;            //@go_tags(`bson:"rtype"`)  任务类型
  int64 timestamp = 3;        //@go_tasg(`bson:"timestamp"`) 时间戳
}
// 玩家任务记录
message DBRtaskRecord {
  string id = 1;                  //@go_tags(`bson:"_id"`) ID
  string uid = 2;                 //@go_tags(`bson:"uid"`) 用户ID
  map<int32, rtaskData> vals = 3; //@go_tags(`bson:"vals"`) 任务记录值
}